{
    "name": "adonis-template",
    "version": "1.0.0",
    "private": true,
    "scripts": {
        "dev": "node ace serve --watch",
        "build": "node ace build --production",
        "start": "node server.js",
        "test": "node ace test",
        "lint": "eslint . --ext=.ts",
        "format": "prettier --write ."
    },
    "eslintConfig": {
        "extends": [
            "plugin:adonis/typescriptApp",
            "prettier"
        ],
        "plugins": [
            "prettier"
        ],
        "rules": {
            "prettier/prettier": [
                "error"
            ],
            "@typescript-eslint/no-unused-vars": "off",
            "no-unused-vars": "off"
        }
    },
    "eslintIgnore": [
        "build"
    ],
    "prettier": {
        "tabWidth": 4,
        "trailingComma": "none",
        "semi": false,
        "singleQuote": true,
        "useTabs": false,
        "quoteProps": "consistent",
        "bracketSpacing": true,
        "arrowParens": "always",
        "printWidth": 100
    },
    "devDependencies": {
        "@adonisjs/assembler": "^5.9.6",
        "@japa/preset-adonis": "^1.2.0",
        "@japa/runner": "2.5.1",
        "@types/ali-oss": "^6.16.11",
        "@types/proxy-addr": "^2.0.3",
        "@types/source-map-support": "^0.5.10",
        "adonis-preset-ts": "^2.1.0",
        "eslint": "^8.54.0",
        "eslint-config-prettier": "^9.0.0",
        "eslint-plugin-adonis": "^2.1.1",
        "eslint-plugin-prettier": "^5.0.1",
        "pino-pretty": "^10.2.3",
        "prettier": "^3.1.0",
        "typescript": "~4.6",
        "youch": "^3.3.3",
        "youch-terminal": "^2.2.3"
    },
    "dependencies": {
        "@adonisjs/ally": "^4.1.5",
        "@adonisjs/auth": "^8.2.3",
        "@adonisjs/bouncer": "^2.3.0",
        "@adonisjs/core": "^5.8.0",
        "@adonisjs/drive-s3": "^1.3.3",
        "@adonisjs/lucid": "^18.4.2",
        "@adonisjs/repl": "^3.1.0",
        "@alicloud/openapi-client": "^0.4.7",
        "@alicloud/sts20150401": "^1.1.4",
        "@alicloud/tea-typescript": "^1.8.0",
        "@alicloud/tea-util": "^1.4.7",
        "@aws-sdk/client-s3": "^3.458.0",
        "@aws-sdk/client-sts": "^3.458.0",
        "ali-oss": "^6.18.1",
        "axios": "^1.6.7",
        "bip32": "^5.0.0-rc.0",
        "bip39": "^3.1.0",
        "bitcoinjs-lib": "^6.1.7",
        "date-fns": "^2.30.0",
        "decimal.js": "^10.4.3",
        "ethers": "^6.13.5",
        "lockfile": "^1.0.4",
        "luxon": "^3.4.4",
        "mysql2": "^3.6.3",
        "proxy-addr": "^2.0.7",
        "qs": "^6.11.2",
        "randomstring": "^1.3.0",
        "reflect-metadata": "^0.1.13",
        "socket.io": "^4.7.4",
        "source-map-support": "^0.5.21",
        "stripe": "^14.19.0",
        "tiny-secp256k1": "^2.2.3",
        "tronweb": "^6.0.1"
    }
}
